using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using SkiaSharp;

namespace MarketData.CNNProcessing
{
  public class LineSegment
	{
	  public LineSegment()
		{
		}
		public LineSegment(SKPoint p1,SKPoint p2)
		{
		  P1=p1;
			P2=p2;
		}
	  public SKPoint P1{get;set;}
		public SKPoint P2{get;set;}
	}

	public class LineSegments : List<LineSegment>
	{
	  public LineSegments()
		{
		}
		public void Add(SKPoint p1,SKPoint p2)
		{
		  Add(new LineSegment(p1,p2));
		}
	}
}
